DACS_PRENV(8)

Name
dacs_prenv - CGI program that displays its environment

Synopsis

dacs_prenv [-html]

DESCRIPTION

This program is part of the DACS suite. It is a stand-alone program that neither accepts the usual DACS command line options (dacsoptions) nor accesses any DACS configuration files.

This CGI utility simply prints its command line arguments, all environment variables, information about the system on which it is running, and CGI parameters and their values. It can be a useful tool when debugging web services.

    Tip

    This program can be a useful tool for debugging web services. Replace a call to your web service with an identical call to dacs_prenv to see what arguments your web service is being passed and (to some extent) other context.

OPTIONS

dacs_prenv recognizes these command line flags:

-html
    Selects HTML output (text/html) instead of the default Content-Type of text/plain, by default, using the style sheet dacs_prenv.css[1].

  Web Service Arguments

When used as a web service, the following parameters are recognized:

FORMAT
    At present, the only recognized value for this argument is HTML.

just_dump_stdin
    If the value of QUERY_STRING is exactly jump_dump_stdin, then the program will simply copy its standard input to the standard output as text/plain.

FILES

dacs_prenv.css[1]

DIAGNOSTICS

The program exits 0 if everything was fine, 1 if an error occurred.

BUGS

It should be possible to request XML output.

SEE ALSO

cgiparse(8)[2], env(1)[3], printenv(1)[4], environ(7)[5]

AUTHOR

Distributed Systems Software (www.dss.ca[6])

COPYING

Copyright © 2003-2014 Distributed Systems Software. See the LICENSE[7] file that accompanies the distribution for licensing information.

Notes

1.  dacs_prenv.css
    http://dacs.dss.ca/man//css/dacs_prenv.css

2.  cgiparse(8)
    http://dacs.dss.ca/man/cgiparse.8.html

3.  env(1)
    http://www.freebsd.org/cgi/man.cgi?query=env&apropos=0&sektion=1&manpath=FreeBSD+10.1-RELEASE&format=html

4.  printenv(1)
    http://www.freebsd.org/cgi/man.cgi?query=printenv&apropos=0&sektion=1&manpath=FreeBSD+10.1-RELEASE&format=html

5.  environ(7)
    http://www.freebsd.org/cgi/man.cgi?query=environ&apropos=0&sektion=7&manpath=FreeBSD+10.1-RELEASE&format=html

6.  www.dss.ca
    http://www.dss.ca

7.  LICENSE
    http://dacs.dss.ca/man/../misc/LICENSE